=== modified file 'bzrlib/tests/ssl_certs/create_ssls.py'
--- bzrlib/tests/ssl_certs/create_ssls.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/ssl_certs/create_ssls.py	2009-11-26 14:17:19 +0000
@@ -46,6 +46,13 @@
     Popen,
     PIPE,
     )
+import sys
+
+# We want to use the right bzrlib: the one we are part of
+# FIXME: The fllowing is correct but looks a bit ugly 
+_dir = os.path.dirname
+our_bzr = _dir(_dir(_dir(_dir(os.path.realpath(__file__)))))
+sys.path.insert(0, our_bzr)
 
 from bzrlib import (
     osutils,
@@ -105,7 +112,7 @@
     server_locality='LocalHost',
     server_organization='Testing Ltd',
     server_section='https server',
-    server_name='localhost', # Always accessed under that name
+    server_name='127.0.0.1', # Always accessed under that name
     server_email='https_server@locahost',
     server_optional_company_name='',
     )

=== modified file 'bzrlib/tests/ssl_certs/server.crt'
--- bzrlib/tests/ssl_certs/server.crt	2008-01-05 22:09:47 +0000
+++ bzrlib/tests/ssl_certs/server.crt	2009-11-26 14:17:19 +0000
@@ -2,32 +2,32 @@
 MIIFpDCCA4wCAQEwDQYJKoZIhvcNAQEFBQAwgZMxCzAJBgNVBAYTAkJaMREwDwYD
 VQQIEwhJbnRlcm5ldDEPMA0GA1UEBxMGQmF6YWFyMRQwEgYDVQQKEwtEaXN0cmli
 dXRlZDEMMAoGA1UECxMDVkNTMR8wHQYDVQQDExZNYXN0ZXIgb2YgY2VydGlmaWNh
-dGVzMRswGQYJKoZIhvcNAQkBFgxjZXJ0QG5vLnNwYW0wHhcNMDgwMTA1MjIwNjQ1
-WhcNMTgwMTAyMjIwNjQ1WjCBmzELMAkGA1UEBhMCTEgxETAPBgNVBAgTCEludGVy
+dGVzMRswGQYJKoZIhvcNAQkBFgxjZXJ0QG5vLnNwYW0wHhcNMDkxMTI2MTMyMjE4
+WhcNMTkxMTI0MTMyMjE4WjCBmzELMAkGA1UEBhMCTEgxETAPBgNVBAgTCEludGVy
 bmV0MRIwEAYDVQQHEwlMb2NhbEhvc3QxFDASBgNVBAoTC1Rlc3RpbmcgTHRkMRUw
-EwYDVQQLEwxodHRwcyBzZXJ2ZXIxEjAQBgNVBAMTCWxvY2FsaG9zdDEkMCIGCSqG
+EwYDVQQLEwxodHRwcyBzZXJ2ZXIxEjAQBgNVBAMTCTEyNy4wLjAuMTEkMCIGCSqG
 SIb3DQEJARYVaHR0cHNfc2VydmVyQGxvY2Fob3N0MIICIjANBgkqhkiG9w0BAQEF
-AAOCAg8AMIICCgKCAgEAsvSNdobG/oO97vhO7xcHpQfpx2QHwYOn+Im0FMTXbTPd
-Bre4wkjEC2KxOjH6MGBEQM02h8SUAWCcvX+HyLBkZRtgeueZZaf2iqc+Tr24ueMa
-f8elqz1tuaua7zyuR+uUgZyxX7rgbuVDUYNt5qVN8uXUSbCtVgxHa3extD7fbvD8
-t9P/QUItx5EBBEeWVhtVffgI35OWMwsJhiwK68ka0kTLJJhZyqAQujKnZf0uHyAv
-Vkai1fYtjklBVLnxwvJZOwnQto3RF1AmuMgj7T6RwDjTR43DioHtTJotrPZfQaAF
-3tVC30Vy8pm0ojFdxUdKPgEMOLBWizXWc3lzWn02CE0awHxwIYNVNLODX3sU/ou8
-OqOIMDRK451xE5S5WOXciWLknY/ene2r4g/pPFYNrwc/9eZ0AYIhE7Jm7b+D3WvL
-z3CrhYul/XmPsXBHBnxkrjvtrj0yDZyHZnMpygqL7Cr9/2V9FwMFPNTNY5Sifmcx
-l6orvx8oe6Q98XwGD575wWU6BwIrpriSa2HWrVIDwwbSCeZ8NULXe8fnC8zInckj
-tzz8osqRv4af+XXoht5zJtt8fUc7o4Xiq4Yyzlj3lJMHWcP+GqzCbJ0c/OY6C/ml
-C6YbMeCwv+/gAs3Xw1eSzimDqxh/kIw6SgBUGoQVffOzaJo917cMyYycLDDN9/8C
-AwEAATANBgkqhkiG9w0BAQUFAAOCAgEAmPprAO6iZZaruR2qeekooeCINXbiGY92
-0Er+jLU2fulOWwDDh7nGMjNM8jz0NKxcjRJ26GLHsQS4lLrD6B6fQb2vBm47oMFX
-pzyeQotvO0uqvMZMNls8tJxKEy7+NVMf+UI/gVTiqIUgnl6hJ3pO2FoDoIG2rwGO
-mAZAc0Xu1w8B0F77umFhlzcK0jKyTGXRIqO8lFYdRpXcIT8wATGxTTyGApWw2nh9
-CWZviX9Fsz6l7qr85ckcrvtzb4e/qtY/oV/y469FtoI2Tz1Iq94Et0zpZMsCfgbd
-TI9IxnPkLd59WbwMghlBtMv7tbXSGCSnSKieZVbf/hGfwVK30dCGS3X0hsF60ADd
-/wh01QgxfXgAktOvCnsMUrfMcElEvE1lgCSqtYw5AL5+nDf3FUwJbr47l8BCk589
-OAN0ijrnUPHNHL83eLuxb26V8B7LRt61HfQOAXBcpwTHyewnOXq0zj5lzkgAU8Sj
-55FObSd2/gvOVw9rr3eC0evgMpDAsOfeupE2BB/VwTRrbRrETiqskWa8EnvqKPkM
-ESIRsstLlUIKbxhSHHaRrtY6FbcN5nXEz4kOXz/tYKuxuPnZz9Wih5YBWcboKxut
-OMrdjUeDnckLAw1rJI+H8+jPkyOqCpcOpLI9xJxmuYJhufjbB/B8ddNT1/pjceze
-uR7coWvplKU=
+AAOCAg8AMIICCgKCAgEAq2uwbT6Zs/gC5ytKiAZfXGNVMQyGLuetgUrfQTbOL+/p
+4sK97hhWk/qbJRQVy8qQ5o4JKmTwAmf/exGxh94E3eacC9EEIdI3A0I2dbno9qAu
+zBXXacjqcKT/PczIN9U1/+S0e5vOssCtvVFWzdbG7vTg3Shs5BG8y1Ue8CDUtczB
+8gGjbQWkugzAqK8IogeMKkCGmiWFzRubHwL9HH5tYm1w5EHJzx/avepOyTKKBQpF
+A0sza0IYwEIuREMWcN64YPqs/OkLFmGCfpMCZvOmsmwGTxf+MoDNiqBco67xBuaK
+e4pSUf1f1PrbgHpEJq68QuCsRgWFYig0jRkh06ox5beyV9n/bQ/bA7W60JT/NUo9
+uNtFgC2ui2yHA5c3ozW+Muk7tS42r9Sde3gW/81c+kZbVS87EM42XQFMP1stAR8W
+XMwzlVnjrbQ/ERwt+OoGbOt9woHeEKpi9chmFtDR5irY3uJoP9/+9D51glxRGQql
+kpNc/FL4VYbmCZY8QCeEXHaxl1MeuZCI6ovGHojpUvFNQK+7qFOhbK0G8me7o+ly
+P/qCbjTTvom/Kvg9kFtAvwuz6ErWYKh0xZQxNhFl3uGtxycAti0+5O6l/lLUQwv8
+n79IWawWDTy4s8kYfWBiH8NNQBLib6tlllzt7LXtcPJjTkZ1finT5YFqweQCiR8C
+AwEAATANBgkqhkiG9w0BAQUFAAOCAgEAutvkG9R7oxOiRNHhMnDtcMFS92PdgrFU
+eAANojT2eC359K+vzIG19EReq6OEk8pLjbzehVW808hxtdMaMOQc3Np4AHl9Z4Sp
+YEMpRsfIbjwgM02aT7Ig5ZztRjKq78G5WzQq71Q5tzK9gCotGYH5B9QEbEpEjnb0
+UGaGi4bB+/WJsAuxKt5UyvN1h4n6oJYY4/Dy20H0LfnzjGOayuOoRaZt8cBFS0XQ
+8Gp6WAJwl8CJms84XL8IN6Zj6fYCWPP4fT6kiu7VHof+/zK99ajkEKaykl7mkyEk
+NfpaGIgVsPgd6BkWDavbW7DJg0LNlPry+Mh5MNAcHNaGUpJ5mYoazLBDw9rd70ss
+70TgT1te7WyB2yHbKLHdKDtRshfemXZaScVxoWsRrlDJQQn+1CiBWAmuVgZNiAIY
+gqM5kcFiLPP8hjw1GzPcSwjg8uxyM1lY6m1KLwdO2hW+iZCj1vhz//lBBHmYYTqk
+8EwtbWJ7XVQaLVRhAc1HIIA6TSAPiP7Dgn2rhQHcqODYSmfieXPQetlFhXNJG508
+voSrJMpsKQOId+2Ua00Wi6ajsje00vklG7IzvLY7MdeiSxNrXLNGlSjHI9/+ea0E
+lHJQbJUjR/kXNT/2WBnjBkSVclsz5Xx2dAf3kU0AlUA+b962Y/fxlma5wd8PIHx6
+tW5I+uMneHg=
 -----END CERTIFICATE-----

=== modified file 'bzrlib/tests/ssl_certs/server.csr'
--- bzrlib/tests/ssl_certs/server.csr	2008-01-05 22:09:47 +0000
+++ bzrlib/tests/ssl_certs/server.csr	2009-11-26 14:17:19 +0000
@@ -1,29 +1,29 @@
 -----BEGIN CERTIFICATE REQUEST-----
 MIIFBjCCAu4CAQAwgZsxCzAJBgNVBAYTAkxIMREwDwYDVQQIEwhJbnRlcm5ldDES
 MBAGA1UEBxMJTG9jYWxIb3N0MRQwEgYDVQQKEwtUZXN0aW5nIEx0ZDEVMBMGA1UE
-CxMMaHR0cHMgc2VydmVyMRIwEAYDVQQDEwlsb2NhbGhvc3QxJDAiBgkqhkiG9w0B
+CxMMaHR0cHMgc2VydmVyMRIwEAYDVQQDEwkxMjcuMC4wLjExJDAiBgkqhkiG9w0B
 CQEWFWh0dHBzX3NlcnZlckBsb2NhaG9zdDCCAiIwDQYJKoZIhvcNAQEBBQADggIP
-ADCCAgoCggIBALL0jXaGxv6Dve74Tu8XB6UH6cdkB8GDp/iJtBTE120z3Qa3uMJI
-xAtisTox+jBgREDNNofElAFgnL1/h8iwZGUbYHrnmWWn9oqnPk69uLnjGn/Hpas9
-bbmrmu88rkfrlIGcsV+64G7lQ1GDbealTfLl1EmwrVYMR2t3sbQ+327w/LfT/0FC
-LceRAQRHllYbVX34CN+TljMLCYYsCuvJGtJEyySYWcqgELoyp2X9Lh8gL1ZGotX2
-LY5JQVS58cLyWTsJ0LaN0RdQJrjII+0+kcA400eNw4qB7UyaLaz2X0GgBd7VQt9F
-cvKZtKIxXcVHSj4BDDiwVos11nN5c1p9NghNGsB8cCGDVTSzg197FP6LvDqjiDA0
-SuOdcROUuVjl3Ili5J2P3p3tq+IP6TxWDa8HP/XmdAGCIROyZu2/g91ry89wq4WL
-pf15j7FwRwZ8ZK477a49Mg2ch2ZzKcoKi+wq/f9lfRcDBTzUzWOUon5nMZeqK78f
-KHukPfF8Bg+e+cFlOgcCK6a4kmth1q1SA8MG0gnmfDVC13vH5wvMyJ3JI7c8/KLK
-kb+Gn/l16IbecybbfH1HO6OF4quGMs5Y95STB1nD/hqswmydHPzmOgv5pQumGzHg
-sL/v4ALN18NXks4pg6sYf5CMOkoAVBqEFX3zs2iaPde3DMmMnCwwzff/AgMBAAGg
+ADCCAgoCggIBAKtrsG0+mbP4AucrSogGX1xjVTEMhi7nrYFK30E2zi/v6eLCve4Y
+VpP6myUUFcvKkOaOCSpk8AJn/3sRsYfeBN3mnAvRBCHSNwNCNnW56PagLswV12nI
+6nCk/z3MyDfVNf/ktHubzrLArb1RVs3Wxu704N0obOQRvMtVHvAg1LXMwfIBo20F
+pLoMwKivCKIHjCpAhpolhc0bmx8C/Rx+bWJtcORByc8f2r3qTskyigUKRQNLM2tC
+GMBCLkRDFnDeuGD6rPzpCxZhgn6TAmbzprJsBk8X/jKAzYqgXKOu8QbminuKUlH9
+X9T624B6RCauvELgrEYFhWIoNI0ZIdOqMeW3slfZ/20P2wO1utCU/zVKPbjbRYAt
+rotshwOXN6M1vjLpO7UuNq/UnXt4Fv/NXPpGW1UvOxDONl0BTD9bLQEfFlzMM5VZ
+4620PxEcLfjqBmzrfcKB3hCqYvXIZhbQ0eYq2N7iaD/f/vQ+dYJcURkKpZKTXPxS
++FWG5gmWPEAnhFx2sZdTHrmQiOqLxh6I6VLxTUCvu6hToWytBvJnu6Ppcj/6gm40
+076Jvyr4PZBbQL8Ls+hK1mCodMWUMTYRZd7hrccnALYtPuTupf5S1EML/J+/SFms
+Fg08uLPJGH1gYh/DTUAS4m+rZZZc7ey17XDyY05GdX4p0+WBasHkAokfAgMBAAGg
 JTAjBgkqhkiG9w0BCQcxFhMUQ2hhbGxlbmdlIGZvciB0aGUgQ0EwDQYJKoZIhvcN
-AQEFBQADggIBAKMiuMHoAeRVk/wC5Mize0EYf5E8xYwLAkx/nTOIkNcBSmbejHsW
-kwI86+FSiUlo+ndK6UYSiFhtb8kTw299hKt5PQqkz2/FYozOvS2YEXpzJDXOHmXL
-u5vNHq0TkjgkT5F+4m6nlgLSCssQWDsyoCF5gB58D9BMyG02NKnJ9M6/Matsvz6m
-7BnQwclVPSvpYiF5FSwnYdiZAbftt+BFqgHaKqYhLnMUtX8tLjSNCBgdaItSb+Vc
-icGJuIOTqTFSH8PATd50WNXqnJxZsFZmcRKmJ8h6mNqmv6tcJ4iLPFfMLuMFskG/
-L9O4FC9vLtfhCuAGtoaWRJPQ6oYC/3HL97fn3SudwAY+u5tp7CqAzFvMkMJ0gQeI
-8xIkwFkajUCHqV0Gug9Bx+B24YTNPzYiiJ0yIlyTh4R7D9PFv3a9RMOq6bvCwexJ
-02soRu9jijTwklD6jECa/gm40s8ChFo+c3YAF2MjFk1zjd7xT+jW8Pp0uEP9ig6H
-4n+gakpvSRFz2l1DZq3rfofyqBFOdVJRJ3IWc+n79K/E7zCTSA68vfYutMj+wuzW
-mSs0vBFu+2BQDHaCwq9R9vAhh2YLJZ9v6mID5PvqFGCJ2drNaTktR9xLfpmve6oC
-mn8mlI+pUaCd52XdgpYCTlXsnieaPOEWycSxnML8UxwoFk05K+oumg6F
+AQEFBQADggIBAGeE6ml7EshJvPvOv+I8DrcjzHiAO4+0w/weknWfS/ndAafkLBa7
+5TMFhnBFHQ9/XbvctyNCc5u5OQfRxQwJccV4OUiTPPXqN4UWWSzxIw8zVM/8MdiH
+yaVFYqr2gyAKlcCvKavWNKMXVdeoOFnAwA7rfgtA2mMNM0ZoSJr/PISkzN6ZFyh2
+VSCrVdBZ1pTMslIKqWkRgqeqlrRhEVXZIljrG5+vVVnzfxycPjeN3VD5US8Pr9B0
+im6sbDTn2z5pRTkVWc/cL1F7spxsa67KVqwwHx9GNojo7SY/NNeWQTaTe3uVa/Hp
+VXRAcutovboGVcMhu92Udz+bpn2XpbNZnWJGRkRZRLWG2Z+k/REGhMk+5LuMh/+N
+uumIThiNtCPeg3/esVxlAqDokteqnoE0XHtcBUTacvedgmxASV98Wu+Rx7MnVgTf
+29wGb132ZSRMEzoB0hSm9tjB2DVI/O1+YOcPDhoLHpfkUE+qXQTWPKCvrZCspJp9
+UYkWVTfbRJavXOOi8tRHvt0AfxEnyq3o1H7veqDxL0NMuXvNAL2fEt0Av1zfyHyS
+Ch+NpByF9m2BMG0TUrrMhtb83X+Rb7VOC6sbs8H+ste9DOwh2930T1eFsb0/32R8
+ix0EMI5Yi60RLcL9WOjdQ1JAMeO6+dywL8WpjyAyUegeMxwlzZCMRSvv
 -----END CERTIFICATE REQUEST-----

=== modified file 'bzrlib/tests/ssl_certs/server_with_pass.key'
--- bzrlib/tests/ssl_certs/server_with_pass.key	2008-01-05 22:09:47 +0000
+++ bzrlib/tests/ssl_certs/server_with_pass.key	2009-11-26 14:17:19 +0000
@@ -1,54 +1,54 @@
 -----BEGIN RSA PRIVATE KEY-----
 Proc-Type: 4,ENCRYPTED
-DEK-Info: DES-EDE3-CBC,F62A242FE077370D
+DEK-Info: DES-EDE3-CBC,60937C843264DF9B
 
-VzZiKGEsk27MopuxsH8hHDK1RPC6JBv2r/6936HAeOtVZu94ws9u2MAQ8E/tH1vD
-ggilBOPV4elonv3IzdoIxWFsvnuUvuf8rkXIrE/pP8FxunhihXnpz/fMK62jSYXe
-T46xTA6hEqG2EVs9mtGyfeFN8ZA7D5yciuK1t3bstWrIwH1n0h5fOztsWmP1w99D
-aHz2VtfJS4/+G1wMI3cwj4pdsGbHvEYRbxMhgsZ+e9qFmugm1jk1l1rV4C/fO5wL
-bclNDYX5EcYTkYEIqHo223wFNIlsOmod5bIsa7lv0tz+Vct0R7BLNkGlqE3G3ofu
-5Ek32YH3nvGkHhGUuY6n0FhSJJLjh9+2GrMimr+8tCPVAemM35Xe/VyN87kOWhuG
-UjfEms0//HbkO0jyoD/x0SpBuX2+cjMAyqCob6HkNXtWC9X7ZO6L36gBHs7DYKTz
-cX7Y9ram2PRb1Z1np5NigZ/Cestviy7uG1obfQbhPII/kovEV1K494Nbkmw5YvLK
-Np9zAay1eZZW+THn6kC8OhwnOQtRpj7SLpjclFMNj9uhfB6Dxo53q2dV0lwc+T1b
-aBCjy3A6R12meTCoPbGg2MqBA2aURPSRGKlYu09WvreX3tiM3GFOBfVIDiBulPT1
-RSWFM4IoXOg7WKHd1pXdO7WNV88Yi2iwFx4KASPOUMSvm8wq5NbE6TZ0oSuKiCNh
-szMTGsF2l7JZamW7MK19xom/ZxuZc0UzRzTD2Rp41EeRaX0GdPYz183AT1r/aT9S
-kzKRMG22tJBx7WIhs6T+/KqTQO2jI14G2XcaclhGG5u320ghm8UgEwg6hMFiPuhC
-dSO9wknjfunF6W/gyKbf36XSn9n4Yvx8YECuEQd5BligKyuUtIg0zn6Mwg2J1qYq
-N3yeZhNDcC7DZDLd8Lhu1NfWfzxiSoHeOUVGRApnUMMLtKoLPJpwz5qXTc6tLBky
-czlUAckRDS6f2lb9xPQm95pLg3wGmgvLcWn3ut5Rh+QwZ2GhJu3lbeQLd9rEtTHc
-+qg2B/tLxOfjPNcaWCkDCi7P1B7I8U2E6teNxVEEHRiK5zIeC/g0WXehaVnjzwkt
-L6fuxRiuBwe9m0cwVJuI33+1Y4CuWKsaBqlg/dHXCH3Ij3Iv9DU0Yary9uEkon7D
-BSDFZWJLvFpjnW/g0la0ow5Y6KTw2QyI8F8NbzKZIp647loclYeoN95RzF/rfB7I
-JJhvvuH7sT3EoN6fi8Dlq5IBVLMONN2BKFSheRI0Gui5bIY0+REijcgqZiwryGIk
-298pnfHSxeP39wQQvXfwMIl3r3XWxSWt9jDz5T3X4fxDJcp2GsW+Z5KZ158lX6g6
-I41JMHp6cKeg7NGdK52EW6ejD1blLL3vXt4MvRcnqvhDvJMbMSFhDhD0rFcPRERx
-q1Hw9Wc6V+isqmUcmmjULU3i/D7ksCuaHFsf7A/8EICbJG2jercRktBIm1CxzEvo
-IRnI53O5xINHb/JHIW6Vv9nyC5Bmc+dVojRpd3FOcxyuSLULo7VcDSWhU3j3dr+t
-TpF1Cm0dWGOeCHy1dVmMIEGd04WZdYguSlBkRSkvuZV14Y9DddRtsS/XiFm3ek3q
-tY0h3u6sx363Ap+pSz4XMy+P6nHRMr1ucBpAAy87vL8Oce6tUAwV2OR9laVBOafS
-kG2FSXY4ievLBT4qsBEnDIkiYxA3uA2bF5nnIlSE4Mv7BgKWjRqPnY6JTKR3eFd6
-YVXLd79z03iPJlnCCPga3RUWhjWDc3BvUCAv2yvzdARRCQga/Gtsi3aHAoSDMxgf
-YnUKmik1mboR50uvMfC6tstgI9yZ+ackYQQnuewDa/lN17Aq7HqGo5sf6rLMa82B
-x2UtEsYoTN477AGYOTzpQEoyb2uWpxw4qumLqsbSXzyw9jJzQ+/1c2jePzoatSdO
-QNE8tVRylusboL45fXtYetFV4EoqNdDgAsXLa75ooLInS+oh+gHeuxtJJXxa3deJ
-JXoqkP1TMExsRpVNnvN93FG6JEvYSbaUS9TZGc8+mZcQ7WWfkJnZjnOGtczkHG5a
-b1X8N28MGBkw00mdoCxJ573fvl4NmYeJC6clX8vU/nzG7u3duhjYGqacPktuX5/X
-/eKRJJ6OyLJm/S+cWNmFoaRCy95WDPbyZyUby/+aV57prbXMFar3+NTTBK+y0pmI
-/6q832eqj6IIHsL6VgFq2+l3abXcS2h6MIJjYLmURWAnWDednCDauEFrzzp6jo68
-2sZZOiW5drULi5tirtC3+mC4ERlcylcHZIfdCDyXifKvKJ3Ch/kDR/zvAMVIwicJ
-iMT/n8/5PidW217rtZlz5gjd3EunpdRQuNnNa8Ap2v4ddfUSeGI2UAOEt2rtfteu
-7pJF6wkP9QkYhJWKOBHbL8RxdATnhyVSMWo1iYM/zthOP8+IpZVDzl5uwr1gi4zf
-NQAQy7dxZKRO91GSeUX+BMxgAmDzwh24sbzpw/dTCGbiKTkujWchhAcJXXoq+LFb
-o9zWQ7/zz5g6L6yW6iuDGVJ/87mHX851/QVJfyP5lNURqkSOfsGMqjoz04bLOuxc
-znuAs/R6gc2jwwfF0rhDHJyLJQsuAFCxbAV7qc0kqcihhh34kqDujq9tQEdP65M5
-E6qfBjVoaPHFXeR+XaCPyMygJDHv5eaU2qojvq12CehcOKL66wMXt20A59C2ZDZp
-9cWg8KEej7vlfsA8JzkwcIYMWnHDUDViGqM/ifwQ95uSjEy+7HZVrQFFpcr1f/XF
-tJe/nArOxGf9d4VVbShKOleg2139fed6mfobJklHlFkzL2T5DgNCFc6iYSI3c2DQ
-Lh3mdwwjsVWh5kE5r0PCYSkhlg41DfrZTHx0pbRdix63jD4AsuMZ1+vT9taxUSYZ
-mTc4ELu8kH2I/Qm/8tVPnkjUxxApL7PIpvlnF3SbYNkd3AIbgtSWz782KpghKPmk
-SnIYXWQXlOtiliU2Wek+ntr5oguSKo5HmIfkF8Ad9SsEN8GxkmmQKOM9cO1ueDch
-7MP6KTE8wumSXl82hbiZK1GaErXGLenKKTrw0fqKY8mUiB/ciCqyLzgOtgVfAkPj
-T2/YQQp42Ppw1r3sJwObi0gvuHT+KQSBGTOmBCxKCi0s61T/Yolosy7b5eoUQEKR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 -----END RSA PRIVATE KEY-----

=== modified file 'bzrlib/tests/ssl_certs/server_without_pass.key'
--- bzrlib/tests/ssl_certs/server_without_pass.key	2008-01-05 22:09:47 +0000
+++ bzrlib/tests/ssl_certs/server_without_pass.key	2009-11-26 14:17:19 +0000
@@ -1,51 +1,51 @@
 -----BEGIN RSA PRIVATE KEY-----
-MIIJJwIBAAKCAgEAsvSNdobG/oO97vhO7xcHpQfpx2QHwYOn+Im0FMTXbTPdBre4
-wkjEC2KxOjH6MGBEQM02h8SUAWCcvX+HyLBkZRtgeueZZaf2iqc+Tr24ueMaf8el
-qz1tuaua7zyuR+uUgZyxX7rgbuVDUYNt5qVN8uXUSbCtVgxHa3extD7fbvD8t9P/
-QUItx5EBBEeWVhtVffgI35OWMwsJhiwK68ka0kTLJJhZyqAQujKnZf0uHyAvVkai
-1fYtjklBVLnxwvJZOwnQto3RF1AmuMgj7T6RwDjTR43DioHtTJotrPZfQaAF3tVC
-30Vy8pm0ojFdxUdKPgEMOLBWizXWc3lzWn02CE0awHxwIYNVNLODX3sU/ou8OqOI
-MDRK451xE5S5WOXciWLknY/ene2r4g/pPFYNrwc/9eZ0AYIhE7Jm7b+D3WvLz3Cr
-hYul/XmPsXBHBnxkrjvtrj0yDZyHZnMpygqL7Cr9/2V9FwMFPNTNY5Sifmcxl6or
-vx8oe6Q98XwGD575wWU6BwIrpriSa2HWrVIDwwbSCeZ8NULXe8fnC8zInckjtzz8
-osqRv4af+XXoht5zJtt8fUc7o4Xiq4Yyzlj3lJMHWcP+GqzCbJ0c/OY6C/mlC6Yb
-MeCwv+/gAs3Xw1eSzimDqxh/kIw6SgBUGoQVffOzaJo917cMyYycLDDN9/8CAwEA
-AQKCAgBbtFaJ1qdC5d//Bd/tRa/1Mgjq1Kfk0sLQ6kAOJJEAtQMe3icf6IoOC5Um
-bVX4VFylmIPJL0NpMUkhEqlSfpHz/gOC+AvzvA7rHqkfULnJCEgcEwMirWf9LaNH
-1aC52k9P3CxJEkrQiUvmCaPX/f3j60LOQGuTHNe8iqnV5CI7h+L5kPnNR0yOaBBN
-USIJHhjBZMmnSMo/ffhzeT5fdb744af4KNpaq4vm3u5JpWRtLuETJT9sxaqyr3d7
-I45wiCCR0IXUBviPKdOt/WHrwZSPHI+oq0z5PXuNNbUSXW6TAp3/gumx4LT2/S1D
-sGiNH+s7uu24XyT6UayDoEkspd15qCTfoqZX6CSgFAzu06NB5S7OBuFYG3Y33Fi7
-1LrlQiAjo0GrvJMAGOwGsYJxxCn4M6avrl+8eTLSQ7U4gz2AmnwbFsX5FaGThin8
-myZlwUk0mCTXoDr4AO+WG9HhLworsdZsBn82liQWHLBt+Xv4NVbnt7pPvmf+VqER
-q9KWGxSCbm3vQMVJPrtfBcEpCmYdZZZYFJbmcdz/homh9QRZY4rto+CK/Cza0SPe
-aN/OIVDmCCoe8dSeNYOfGe79K8lMalhrwjxsBD6x5Og9AyfFczeSHASBgQ3QC2JJ
-qcB19eaQRIqw+VMjYqmPdRN0A25KAWekQpUfKDidR1IBn0w2gQKCAQEA2T+Bfgt1
-7Mz8TTHEGr0NBaypDBPLXY0sKyu0aCkqV1HKxyMEPuNMqbE+6raYz6QCoDfn1d4/
-wwPCdUzPI+JAVjEjEFtRJYJdT6OCj9dW94gBKx/lF6/nAMt8i0U5foVJt/TAjyDK
-zIx1EM9vGMKj3wfENJOj6WCdKbtBlHkotZHxGkSF/262Lbo02/maUdQAbY1j3Tly
-M583U0as78oUczUT575TG1RYwofN0YF/gzQJpPoYIhg75wWCvog+sbJonp3FslMn
-3ifdK6eZI7fTTr8SrNNulf8Iwonbdz/a09yJnuPL7tI0Ea5tqrgeNwTHKxW/Jf3o
-cMjlGq74VShNbQKCAQEA0uBuYUJwsQZEaGo4tDzyjpfG2JZt43Afdgwb3rMb61CG
-PFdBRcVQMu8NwnXQuQ9TobQ9trPrwW/rt0Bx2BQ6uLGPU743XA6UB8q+goCCdMVW
-GImcObwFOMOqZfEHFn04+1/a+Sf/dRRPv40uGMPKDpK8im8xGNEKhIQWYIFNAy5E
-IpYljGZFCC/r34E+0bmkBM+U///XmrgS6WWkRTl06GBrmuXlmhScz5GmHiKN33Yv
-cDJVUh2M3SxHKtYrcJTfdM1rX8iZR/9BPNC5qCDUVJJD9BuCXXtPzfGeKQYqNDf9
-OwVsuyXDfjp+zJ90BB0seum5Ozi5wMdTjb1TMUgTmwKCAQAQlMJDZoiHnFWdZrD7
-AXbe+gClBVW+PCok2V8ZnBq5M2rwrAGE80BEq1yL+YfMQU5aACpXrnDbZ4wN++DL
-cldKvNFaTD3zSPHqRCaQ5/ShS+Ya7oJDvo85Bk7pKk1rFK09txaDVhNkbUv6DnsC
-PsjXGvaktKgMBe2446vrsxuiUBNA1/4KMt8AuneSWoimujGWKvZ2Sg4nVn2Yg4pr
-etb4vBJa27HoIhXsMwVIekPLNcuOpe/1mjfoOAl0lV2DnoRRpuUR6Trfv9cnn9EW
-Ys9j8T1xp2mHVUHL502y2lLPXMO8NtK31Z9XwiJop0jXFixFY5GFSs3U3eBumvAl
-P8A5AoIBABW7b2Syli6IONCR8doRVeYAGkwD5LtFuNhPkye2SbBMkijxzRZFqWg2
-XrKltab8v1+w1ZNYo3lB8YbnK1RbcVnLYrv8pHPmRLcw28VTPR6Pn7nTpLgGentJ
-Hux2lIZqzU6KqGR5DMiiGT3ibNe8hbxOvwN9RhAKqwzRGAVGDgu/3uG5m5EGkSKw
-3ZwhE7pFaXPdeLuRQET/p2NKSE2iCDxSg4RpIOpqKWby2a3NXdWjtmvXpBdcWEIK
-6CKwA7YMgaLl8KTkZXeYBL8hu6BqEbfNgxdLJno/1Q+iUOxlaEANbRmCC5yV3bnK
-iXrJDAnIf+cC40YJKIuHf0LiOgqgJPUCggEANq8cFcQSuqa3k3Xr1RUJN2sbWKvW
-oR1KqfF61gm5AJ+0lLLtLpr7asQctlAqDAktk6cBdcZ2PhYduF9YHX5anCdMRCvJ
-FK+u6AvrEo0g2C9Z7AqZ/zcV5XOJ9C+yqIig/FZmCfx1EZvBQgs6Bivl13uZfZHX
-kYRa9sTMURf5vgbEsK+P1aQ4fHikhv45xFGA0nFyIUAjaaxrwoRzJtO3doFu7Fhg
-frLDYzU4djn73Qw7NofOWfRK7IF8yCmtF9IeDe11HGtj5Si5RqEhVGtCyHUQw8uu
-z3Cc2xf2HPtiqNO4cnXFA1r9ay6KMNVs1MGF2WoGgDk+EXAmjD+W7i/BeQ==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==
 -----END RSA PRIVATE KEY-----

